ProGet 4.5.4 Has Been Released

We just shipped ProGet 4.5.4. It's a maintenance release of ProGet 4.5 which means that there is minimal risk to upgrading from an earlier 4.5. However, if you're planning to upgrade from a version prior to 4.5, make sure to read the appropriate upgrade notes.

To install or upgrade, simply download ProGet and run the installer.

Here's what we changed between 4.5.3 and 4.5.4:

  • PG-657 - FIX: Error incrementing download count for npm package (postgres)
  • PG-656 - FIX: Error creating custom security task (postgres)
  • PG-655 - FIX: Unable to view package details page for npm packages (postgres)
  • PG-654 - Improve logging for errors on npm package details page
  • PG-651 - Improve error message when uploading non-zip/upack files to a universal feed
  • PG-653 - FIX: Display errors with npm feeds and scheduled tasks (postgres)

To learn more about how we distinguish between major, minor, and maintenance releases, make sure to check out KB#1059 - When should I update?